EAPI EAPI_WEAK const Efl_Event_Description _EFL_UI_PAN_EVENT_PAN_CONTENT_POSITION_CHANGED =
   EFL_EVENT_DESCRIPTION("pan,content_position,changed");
EAPI EAPI_WEAK const Efl_Event_Description _EFL_UI_PAN_EVENT_PAN_CONTENT_SIZE_CHANGED =
   EFL_EVENT_DESCRIPTION("pan,content_size,changed");

void _efl_ui_pan_pan_position_set(Eo *obj, Efl_Ui_Pan_Data *pd, Eina_Position2D position);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_pan_position_set, EFL_FUNC_CALL(position), Eina_Position2D position);

Eina_Position2D _efl_ui_pan_pan_position_get(const Eo *obj, Efl_Ui_Pan_Data *pd);

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_pan_position_get, Eina_Position2D, ((Eina_Position2D){0}));

Eina_Size2D _efl_ui_pan_content_size_get(const Eo *obj, Efl_Ui_Pan_Data *pd);

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_pan_content_size_get, Eina_Size2D, ((Eina_Size2D){0}));

Eina_Position2D _efl_ui_pan_pan_position_min_get(const Eo *obj, Efl_Ui_Pan_Data *pd);

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_pan_position_min_get, Eina_Position2D, ((Eina_Position2D){0}));

Eina_Position2D _efl_ui_pan_pan_position_max_get(const Eo *obj, Efl_Ui_Pan_Data *pd);

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_pan_position_max_get, Eina_Position2D, ((Eina_Position2D){0}));

Efl_Object *_efl_ui_pan_efl_object_constructor(Eo *obj, Efl_Ui_Pan_Data *pd);


void _efl_ui_pan_efl_object_destructor(Eo *obj, Efl_Ui_Pan_Data *pd);


void _efl_ui_pan_efl_gfx_entity_visible_set(Eo *obj, Efl_Ui_Pan_Data *pd, Eina_Bool v);


void _efl_ui_pan_efl_gfx_entity_position_set(Eo *obj, Efl_Ui_Pan_Data *pd, Eina_Position2D pos);


void _efl_ui_pan_efl_gfx_entity_size_set(Eo *obj, Efl_Ui_Pan_Data *pd, Eina_Size2D size);


Eina_Bool _efl_ui_pan_efl_content_content_set(Eo *obj, Efl_Ui_Pan_Data *pd, Efl_Gfx_Entity *content);


Efl_Gfx_Entity *_efl_ui_pan_efl_content_content_get(const Eo *obj, Efl_Ui_Pan_Data *pd);


Efl_Gfx_Entity *_efl_ui_pan_efl_content_content_unset(Eo *obj, Efl_Ui_Pan_Data *pd);


void _efl_ui_pan_efl_canvas_group_group_calculate(Eo *obj, Efl_Ui_Pan_Data *pd);


static Eina_Bool
_efl_ui_pan_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_UI_PAN_EXTRA_OPS
#define EFL_UI_PAN_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_ui_pan_position_set, _efl_ui_pan_pan_position_set),
      EFL_OBJECT_OP_FUNC(efl_ui_pan_position_get, _efl_ui_pan_pan_position_get),
      EFL_OBJECT_OP_FUNC(efl_ui_pan_content_size_get, _efl_ui_pan_content_size_get),
      EFL_OBJECT_OP_FUNC(efl_ui_pan_position_min_get, _efl_ui_pan_pan_position_min_get),
      EFL_OBJECT_OP_FUNC(efl_ui_pan_position_max_get, _efl_ui_pan_pan_position_max_get),
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_ui_pan_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_ui_pan_efl_object_destructor),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_visible_set, _efl_ui_pan_efl_gfx_entity_visible_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_position_set, _efl_ui_pan_efl_gfx_entity_position_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_size_set, _efl_ui_pan_efl_gfx_entity_size_set),
      EFL_OBJECT_OP_FUNC(efl_content_set, _efl_ui_pan_efl_content_content_set),
      EFL_OBJECT_OP_FUNC(efl_content_get, _efl_ui_pan_efl_content_content_get),
      EFL_OBJECT_OP_FUNC(efl_content_unset, _efl_ui_pan_efl_content_content_unset),
      EFL_OBJECT_OP_FUNC(efl_canvas_group_calculate, _efl_ui_pan_efl_canvas_group_group_calculate),
      EFL_UI_PAN_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_ui_pan_class_desc = {
   EO_VERSION,
   "Efl.Ui.Pan",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Ui_Pan_Data),
   _efl_ui_pan_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_ui_pan_class_get, &_efl_ui_pan_class_desc, EFL_CANVAS_GROUP_CLASS, EFL_CONTENT_INTERFACE, NULL);
